# Create new business holiday list.

Endpoint: POST /businessHolidays
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Request fields (application/json):

  - `id` (string)
    Id of business holiday list

  - `name` (string)
    Name of business holiday list

  - `timeZone` (string)
    Time zone of business holiday list

  - `businessHolidays` (array)
    Holidays of business holiday list

  - `businessHolidays.id` (string)
    Id of business holiday

  - `businessHolidays.date` (integer)
    Holidays of business holiday. Time for the date should be 00:00:00 GMT

  - `businessHolidays.timeRange` (array)
    Time range business holiday

  - `businessHolidays.timeRange.from` (integer)

  - `businessHolidays.timeRange.upto` (integer)

  - `businessHolidays.timeRange.timeUnit` (string)

  - `businessHolidays.allDay` (boolean)
    is holiday all day?

  - `businessHolidays.title` (string)
    Title of business holiday

  - `createdTime` (integer)
    Created time of business holiday list

  - `modifiedTime` (integer)
    Modified time of business holiday list

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)
    Id of business holiday list

  - `name` (string)
    Name of business holiday list

  - `timeZone` (string)
    Time zone of business holiday list

  - `businessHolidays` (array)
    Holidays of business holiday list

  - `businessHolidays.id` (string)
    Id of business holiday

  - `businessHolidays.date` (integer)
    Holidays of business holiday. Time for the date should be 00:00:00 GMT

  - `businessHolidays.timeRange` (array)
    Time range business holiday

  - `businessHolidays.timeRange.from` (integer)

  - `businessHolidays.timeRange.upto` (integer)

  - `businessHolidays.timeRange.timeUnit` (string)

  - `businessHolidays.allDay` (boolean)
    is holiday all day?

  - `businessHolidays.title` (string)
    Title of business holiday

  - `createdTime` (integer)
    Created time of business holiday list

  - `modifiedTime` (integer)
    Modified time of business holiday list

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

